Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
eveything is blocked (NOT SOLVED)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
JC99
l33t
l33t


Joined: 06 Aug 2003
Posts: 782
Location: Toronto

PostPosted: Sun Sep 04, 2005 8:38 pm    Post subject: eveything is blocked (NOT SOLVED) Reply with quote

Greetings, when I rum emerge -Dvup world to update my files it says the following (everything is blocked)

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B ] =kde-base/khelpcenter-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/khotkeys-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdebase-data-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kcminit-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdesu-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdm-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kcontrol-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdm-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/khotkeys-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdesu-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-data-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/khelpcenter-3.4.1-r1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kcontrol-3.4.1-r1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kcminit-3.4.1)


Total size of downloads: 0 kB
Back to top
View user's profile Send private message
Ariem
Apprentice
Apprentice


Joined: 13 Jun 2005
Posts: 296
Location: reykjavik

PostPosted: Sun Sep 04, 2005 8:43 pm    Post subject: Reply with quote

You'll need to unmerge the blocking packages first to be able to install the new ones!

It may also be a dependency package. Check the deps of packages thru equery...
Back to top
View user's profile Send private message
96140
Retired Dev
Retired Dev


Joined: 23 Jan 2005
Posts: 1324

PostPosted: Mon Sep 05, 2005 3:19 am    Post subject: Reply with quote

Yup. Often you simply need to remove a package or two before you can upgrade--moving from Gnome 2.8 to 2.10 required removing a couple of packages before the emerge could proceed. Also, if you're running ~ unstable or a mix of stable and unstable, that can cause many problems.

If simply unmerging the listed packages doesn't work, then try waiting a day or two and re-sync, on the offchance that the needed packages haven't hit all the mirrors yet, or if the KDE herd accidentally put out a bad ebuild or two.
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4734
Location: Angra do Heroísmo (PT)

PostPosted: Mon Sep 05, 2005 3:28 am    Post subject: Reply with quote

I hope you're not being faced with KDE split ebuilds! I hope, because if you are, it won't take much longer for me to face it too! :wink:
You can read about this issue here.
_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Mon Sep 05, 2005 8:51 am    Post subject: Reply with quote

Moved from Installing Gentoo to Duplicate Threads in favour of Blockers in KDE 3.4.1
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum